org.apache.ode.daohib.bpel.ql

## Class HibernateInstancesQueryCompiler

- java.lang.Object
- - org.apache.ode.ql.Compiler<java.util.List,org.hibernate.Session>
  - - org.apache.ode.daohib.bpel.ql.HibernateInstancesQueryCompiler

-     public class HibernateInstancesQueryCompiler
      extends Compiler<java.util.List,org.hibernate.Session>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateInstancesQueryCompiler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandEvaluator<java.util.List,org.hibernate.Session>` | `compile(Query node)`
    `protected ConjunctionEvaluator<org.hibernate.criterion.Criterion,java.lang.Object>` | `compileConjunction(java.util.Collection<CommandEvaluator> childs)`
    `protected DisjunctionEvaluator<org.hibernate.criterion.Criterion,java.lang.Object>` | `compileDisjunction(java.util.Collection<CommandEvaluator> childs)`
    `protected EqualityEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileEqual(Equality eq)`
    `CommandEvaluator` | `compileEvaluator(java.lang.Object node)`
    `protected GEEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileGE(GE ge)`
    `protected GreaterEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileGreater(Greater gt)`
    `protected CommandEvaluator<org.hibernate.criterion.Criterion,java.lang.Object>` | `compileIdentifierToValueCMP(IdentifierToValueCMP node)`
    `protected INEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileIn(In in)`
    `protected LEEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileLE(LE le)`
    `protected LessEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileLess(Less less)`
    `protected LikeEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object>` | `compileLike(Like like)`
    `protected OrderByEvaluator<java.util.Collection<org.hibernate.criterion.Order>,java.lang.Object>` | `compileOrderBy(OrderBy orderBy)`
    `protected java.util.List<CommandEvaluator>` | `evaluate(LogicExprNode exprNode)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateInstancesQueryCompiler

          public HibernateInstancesQueryCompiler()

  - ### Method Detail

    - #### compile

          public CommandEvaluator<java.util.List,org.hibernate.Session> compile(Query node)

      Specified by:
        `compile` in class `Compiler<java.util.List,org.hibernate.Session>`

    - #### compileConjunction

          protected ConjunctionEvaluator<org.hibernate.criterion.Criterion,java.lang.Object> compileConjunction(java.util.Collection<CommandEvaluator> childs)

    - #### compileDisjunction

          protected DisjunctionEvaluator<org.hibernate.criterion.Criterion,java.lang.Object> compileDisjunction(java.util.Collection<CommandEvaluator> childs)

    - #### compileEqual

          protected EqualityEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileEqual(Equality eq)

    - #### compileEvaluator

          public CommandEvaluator compileEvaluator(java.lang.Object node)

    - #### compileIdentifierToValueCMP

          protected CommandEvaluator<org.hibernate.criterion.Criterion,java.lang.Object> compileIdentifierToValueCMP(IdentifierToValueCMP node)

    - #### compileGE

          protected GEEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileGE(GE ge)

    - #### compileGreater

          protected GreaterEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileGreater(Greater gt)

    - #### compileIn

          protected INEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileIn(In in)

    - #### compileLE

          protected LEEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileLE(LE le)

    - #### compileLess

          protected LessEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileLess(Less less)

    - #### compileLike

          protected LikeEvaluator<java.lang.String,org.hibernate.criterion.Criterion,java.lang.Object> compileLike(Like like)

    - #### compileOrderBy

          protected OrderByEvaluator<java.util.Collection<org.hibernate.criterion.Order>,java.lang.Object> compileOrderBy(OrderBy orderBy)

    - #### evaluate

          protected java.util.List<CommandEvaluator> evaluate(LogicExprNode exprNode)

    - #### main

          public static void main(java.lang.String[] args)